.row
  .col-sm-12
    = render 'shared/error_messages', model: @process


.row
  .col-sm-12
    - unless @process.new_record?
      .row
        .col-sm-6
          .form-group
            = f.label(:author_id, nil, class: 'control-label')
            = f.hidden_field(:author_id, value: @process.author.id_to_select)
            %p.form-control-static
              = fa_icon @process.author.class.icon, text: @process.author.name
        .col-sm-6
          .form-group
            = f.label(:defendant_id, nil, class: 'control-label')
            = f.hidden_field(:defendant_id, value: @process.defendant.id_to_select)
            %p.form-control-static
              = fa_icon @process.author.class.icon, text: @process.defendant.name


    = simple_text f, :description
    - if @process.new_record?
      .form-group
        = f.label(:author_id, nil, class: 'control-label')
        = f.select :author_id, people_for_select(@people), { include_blank: true, selected: @process.author.try(:id_to_select) }, class: 'form-control'
      .form-group
        = f.label(:defendant_id, nil, class: 'control-label')
        = f.select :defendant_id, people_for_select(@people), { include_blank: true, selected: @process.defendant.try(:id_to_select) }, class: 'form-control'


.row
  .col-sm-6
    = simple_date f, :start_date
  .col-sm-6
    = simple_date f, :end_date

.row.wow-padt-top
  .col-sm-12
    %h4= model_with_icon Pendency, :plural
    %hr.legend
    .pendencies
      = f.fields_for :pendencies do |pendency|
        = render 'pendency_fields', f: pendency

  .col-sm-12.padt-top
    = link_to_add_association f, :pendencies, partial: 'pendency_fields', class: 'btn btn-info btn-block'


- if @process.new_record?
  .row.wow-padt-top
    .col-sm-12
      %h4= model_with_icon Phase, :plural
      %hr.legend
      .phases
        = f.fields_for :phases do |phase|
          = render 'phase_fields', f: phase
        .padt-top
          = link_to_add_association f, :phases, partial: 'phase_fields', class: 'btn btn-info btn-block'

.row
  .col-sm-12.text-right
    %hr
    = simple_submit f, :save, icon: :check
